import { renderless, api } from '@opentinyvue/vue-renderless/time-picker-mobile/vue';
import { defineComponent, $prefix, $props, setup } from '@opentinyvue/vue-common';
import CascaderSelect from '@opentinyvue/vue-cascader-select';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

function _extends() {
  return _extends = Object.assign ? Object.assign.bind() : function(n) {
    for (var e = 1; e < arguments.length; e++) {
      var t = arguments[e];
      for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]);
    }
    return n;
  }, _extends.apply(null, arguments);
}
var __vue2_script = defineComponent({
  name: $prefix + "TimePickerMobile",
  components: {
    TinyCascaderSelect: CascaderSelect
  },
  emits: ["update:modelValue", "confirm", "update:visible", "clear"],
  props: _extends({}, $props, {
    modelValue: Array,
    defaultValue: Array,
    visible: {
      type: Boolean,
      default: false
    },
    cycleRoll: {
      type: Boolean,
      default: true
    },
    disabled: Function,
    lockScroll: {
      type: Boolean,
      default: true
    },
    step: {
      type: Object,
      default: function _default() {
        return {
          hour: 1,
          minute: 1,
          second: 1
        };
      }
    },
    showSeconds: {
      type: Boolean,
      default: true
    },
    clearable: {
      type: Boolean,
      default: true
    }
  }),
  setup: function setup$1(props, context) {
    return setup({
      props,
      context,
      renderless,
      api,
      mono: true
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.visible,
      expression: "visible"
    }],
    attrs: {
      "data-tag": "tiny-time-picker-mobile"
    }
  }, [_c("tiny-cascader-select", {
    ref: "cascaderSelect",
    attrs: {
      "default-value": _vm.defaultValue,
      "cycle-roll": _vm.cycleRoll,
      "options": _vm.state.options,
      "disabled": _vm.disabled,
      "lock-scroll": _vm.lockScroll,
      "custom-panel-class": "px-4 pb-4",
      "visible": _vm.state.visible
    },
    on: {
      "update:visible": _vm.updateVisible,
      "update:modelValue": _vm.confirm
    },
    scopedSlots: _vm._u([{
      key: "split",
      fn: function fn() {
        return [_c("div", {
          staticClass: "h-full w-1 flex items-center justify-center absolute left-0 -ml-0.5 text-color-text-primary select-none",
          attrs: {
            "data-tag": "tiny-time-picker-split"
          }
        }, [_vm._v(" : ")])];
      },
      proxy: true
    }, {
      key: "header-left",
      fn: function fn() {
        return [_vm.clearable ? _c("span", {
          staticClass: "cursor-pointer text-color-brand",
          on: {
            "click": _vm.clear
          }
        }, [_vm._v(" " + _vm._s(_vm.t("ui.datepicker.clear")) + " ")]) : _vm._e()];
      },
      proxy: true
    }]),
    model: {
      value: _vm.state.dateArr,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "dateArr", $$v);
      },
      expression: "state.dateArr"
    }
  })], 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var TimePickerMobile = /* @__PURE__ */ function() {
  return __component__.exports;
}();
var version = "2.undefined";
TimePickerMobile.model = {
  prop: "modelValue",
  event: "update:modelValue"
};
TimePickerMobile.install = function(Vue) {
  Vue.component(TimePickerMobile.name, TimePickerMobile);
};
TimePickerMobile.version = version;

export { TimePickerMobile as default };
